
QGIS Application - Bug report #8379

Symbology: Get rid of duplicate functionality "line decoration"

2013-07-29 08:39 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17152

Description

Everything that can be done with "line decoration" can be done with the "marker line". I would therefore suggest to get rid of "line

decoration".

Ideally this could be done before the QGIS 2.0 release.

Related issues:

Related to QGIS Application - Bug report # 8381: marker line makes qgis crash Closed 2013-07-29

Associated revisions

Revision aaef9478 - 2013-08-22 08:54 PM - Jürgen Fischer

remove line decoration symbol layer (fixes #8379)

History

#1 - 2013-07-29 11:20 AM - Anita Graser

+1 to remove

#2 - 2013-07-29 11:26 AM - Giovanni Manghi

Anita Graser wrote:

+1 to remove

using the marker line to do the same as the line decoration, make qgis to crash, I have tested it with different vectors and I will open a ticket in a few

minutes.

The line decoration is very important for many because it allows to show the direction of digitalization of a feature. If the crash is not fixed (in time for qgis

2.0, it is not a regression) then I guess we cannot remove it yet.

#3 - 2013-07-29 01:06 PM - Giovanni Manghi

Anita Graser wrote:

+1 to remove
see #8381

#4 - 2013-07-29 01:36 PM - Andreas Neumann

I never tested polygon data - always only line data. Marker lines don't crash for line data. But crashes are always a reason for a blocker in my opinion.

Other than the crash I don't see something that line decorations do better than marker lines.

#5 - 2013-07-30 01:04 AM - Giovanni Manghi

Other than the crash I don't see something that line decorations do better than marker lines.

of course :) but as #8381 is not a blocker (it crashes also on 1.8), then I don't know if we should keep this as a blocker. We also must be sure that with the

"marker line" decoration the user has a clear indication of what is the digitizing direction, that is what the "line decoration" does.

#6 - 2013-07-30 01:36 AM - Giovanni Manghi

Ok I see Matthias already fixed the crash (wow, that was fast, thanks!), but before removing the line decoration things please remember about the direction

of digitalization thing, that is pretty important.

#7 - 2013-07-30 01:46 AM - Andreas Neumann

Hi Giovanni,

What exactly is your problem with the "direction of digitalization"? Isn't first and last vertex clear enough? Would you add a string explaining that it refers to

the direction of digitalization?

What would you propose?

Andreas

#8 - 2013-07-30 02:29 AM - Giovanni Manghi

Hi Andreas

Andreas Neumann wrote:

Hi Giovanni,

What exactly is your problem with the "direction of digitalization"? Isn't first and last vertex clear enough?

Unless I am missing something, with "marker line" I don't see a quick way to see the direction of digitalization the way "line decoration" does. Yes of course

the user can add a symbol for the first vertex and a different one for the last vertex and then add a proper arrow in the middle, but this takes many steps

(and would work for all the features in a layer?).
Would you add a string explaining that it refers to the direction of digitalization?

What would you propose?

ummm... not sure what would be the best solution. Maybe remove the line decoration of document well in the manual how to get the "direction of

digitalization" with markers line?

What about 1.8 projects that do use the "line decoration" when they will open in qgis 2.0, should this be taken into account if removing this symbol type?

#9 - 2013-07-30 02:41 AM - Andreas Neumann

- File arrow_marker_line_with_ellipse_marker.png added

Hi Giovanni,

To see the line direction you just select the marker line with symbol on last vertex, autorotate (which is already default) and select a arrow symbol instead

of the red circle. That's it. You can also place arrows at a fix interval if you prefer that. You can use either a simple marker, ellipse marker (allows you to

stretch the arrow) or an SVG marker. See attached screenshot how to do it with an ellipse marker.

I don't think this is very complicated.

#10 - 2013-07-30 03:00 AM - Giovanni Manghi

Andreas Neumann wrote:

Hi Giovanni,

To see the line direction you just select the marker line with symbol on last vertex, autorotate (which is already default) and select a arrow symbol

instead of the red circle. That's it. You can also place arrows at a fix interval if you prefer that. You can use either a simple marker, ellipse marker

(allows you to stretch the arrow) or an SVG marker. See attached screenshot how to do it with an ellipse marker.

I don't think this is very complicated.

yes you are right, I was being too cautious, please go ahead and remove the line decoration.

#11 - 2013-07-30 03:10 AM - Matthias Kuhn

Just a couple of questions (No strong opinion from my side. I'm just curious):

    -  Is the new method as easy as the old method? As in "easy to spot for first time users" and in "does not take more clicks" 

    -  Should old-style projects be automatically updated?

#12 - 2013-07-30 04:58 AM - Andreas Neumann

Hi Matthias,

The "new" method was already in QGIS 1.8 - maybe even 1.7 - so it is around for several years now. The old method (line decoration) was a bit quicker
(less clicks) but is extremely limited. It has offers one hard-coded arrow - whether you like the arrow style or not - you could not choose a different arrow

symbol. Also - you can only set the arrow at the end, not in between or at the beginning. So it is really extremely limited.

As to the other question: old project conversion. Would be nice, but not absolutely necessary. I don't know how many people still use the old "line

decoration" method. One could issue a warning that users should update the symbology rather than just ignoring it.

Andreas

#13 - 2013-08-11 04:33 PM - Nathan Woodrow

- Priority changed from Severe/Regression to Normal

Would be handy to get rid of but not a blocker IMO.

#14 - 2013-08-22 11:55 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"aaef9478004e27d3b77c356deca0091bcb86b249".

Files

arrow_marker_line_with_ellipse_marker.png 111 KB 2013-07-30 Andreas Neumann
